Bug 1052360 - dash: should drop its privileges in setuid context and implement privileged mode support (-p)
Summary: dash: should drop its privileges in setuid context and implement privileged m...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: dash
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 17:13 UTC by Ratul Gupta
Modified: 2016-07-21 06:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-21 06:51:57 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Debian BTS 734869 0 None None None Never

Description Ratul Gupta 2014-01-13 17:13:27 UTC
It was discovered that dash does not drop it's privileges when run in a setuid context. This is a security measure that upstream's bash does implement however.
Turning off the dropping of the privileges must be explicitly required
with the -p command line option.

It would be nice if dash could be enhanced to behave in the same way
and thus avoid some security problems with the usage of popen/system
in setuid programs.

A patch has been submitted to the upstream by Tavis Ormandy:
http://thread.gmane.org/gmane.comp.shells.dash/841/

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734869

Comment 2 Rahul Sundaram 2014-10-04 22:20:36 UTC
Has anyone followed up with upstream about this?

Comment 3 Fedora End Of Life 2015-05-29 10:29:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Jan Kurik 2015-07-15 14:43:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Huzaifa S. Sidhpurwala 2016-07-21 06:51:57 UTC
This was discussed upstream via: http://www.mail-archive.com/dash@vger.kernel.org/msg00788.html , but nothing happened after that. Since this patch is pretty intrusive, it does not make sense for fedora to carry this patch, without upstream support.


Note You need to log in before you can comment on or make changes to this bug.